[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.Create

Create a new TField instance

## Declaration

Source position: db.pas line 372

`public constructor TField.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the field.

## Description

Create creates a new TField instance and sets up initial values for the fields. TField is a component, and AOwner will be used as the owner of the TField instance. This usually will be the form or datamodule on which the dataset was placed. There should normally be no need for a programmer to create a Tfield instance manually. The TDataset.Open method will create the necessary TField instances, if none had been creaed in the designer.

## See also

TDataset.Open |  | Activate the dataset: Fetch data into memory.

Documentation generated on: Feb 26 2014